# sciencecloudconfig.py - script functions developed for integration with ScienceCloud via PipelinePilot server
# Use of this code is subject to the terms of the StarDrop License Agreement and use, copying or redistribution of this file for use by other persons or organisations is prohibited
# Copyright(C) Optibrium Ltd 2017
# stardrop-support@optibrium.com
#
"""The URL where the PipelinePiot server is located."""
#base_url = 'https://192.168.0.30:9943'
base_url = 'https://www.sciencecloud.com/pp'

"""The folder on the server where the ScienceCloud protocols are located."""
#protocol_folder = "Protocols/Web Services/"
protocol_folder = "Protocols/ScienceCloud/MMV/Web Tasks/StarDrop/"

"""The columns that define a unique assay."""
#assay_columns = ['Assay Group ID','Assay Short Name','Assay Name','Assay Type','Parameter Description','Parameter Short Name','Parameter Name','Result Type Name','Result Type Short Name','Unit','Dose Value','Dose Unit','Timepoint Value','Timepoint Unit']
assay_columns = ['Assay Group ID','Assay Short Name','Assay Name','Assay Type','Dose Value','Dose Unit','Parameter Description','Parameter Short Name','Parameter Name','Result Type Name','Result Type Short Name','Unit','Timepoint Value','Timepoint Unit']

"""Alternative columns that define a unique assay from a query."""
#raw_assay_columns = ['ASSAY_GROUP_ID','ASSAY_SHORTNAME','ASSAY_NAME','ASSAY_TYPE','ASSAY_PARAMETER_DESCRIPTION','ASSAY_PARAMETER_SHORTNAME','ASSAY_PARAMETER_NAME','ASSAY_RESULT_TYPE_NAME','ASSAY_RESULT_TYPE_SHORTNAME','TEST_UNIT','DOSE','DOSE_UNIT','TIME_POINT','TIME_POINT_UNIT']
raw_assay_columns = ['ASSAY_GROUP_ID','ASSAY_SHORTNAME','ASSAY_NAME','ASSAY_TYPE','DOSE','DOSE_UNIT','ASSAY_PARAMETER_DESCRIPTION','ASSAY_PARAMETER_SHORTNAME','ASSAY_PARAMETER_NAME','ASSAY_RESULT_TYPE_NAME','ASSAY_RESULT_TYPE_SHORTNAME','TEST_UNIT','TIME_POINT','TIME_POINT_UNIT']

"""Columns containing result data."""
result_columns = ['Batch ID','Compound ID','Smiles','Value','Operator','Text Value', 'COMPOUND_TAG', 'BATCH_TAG']

"""Alternative columns containing result data."""
raw_result_columns = ['BATCH_ID','COMPOUND_ID','Smiles','NUM_VALUE','OPERATOR','TEXT_VALUE', 'COMPOUND_TAG', 'BATCH_TAG']

"""Flag indicating whether or not to print debug information to the console (True or False)."""
debug = False

"""Flag indicating whether to use a standard service account to access ScienceCloud"""
USE_SERVICE_ACCOUNT = False

USER = "USER"
PASSWORD = "PASSWORD"

"""Flag indicating whether or not to retrieve all compounds.  If False only compounds with assay data are retrieved (True or False)."""
all_compounds = False

